Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006503opensim[REGION] OpenSim Corepublic2013-01-14 20:432015-08-18 11:13
ReporterRobert Adams 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006503: Crash/Exception when shutting down
DescriptionOccasionally, I will get a crash after the last log message has been written ("Shutdown complete"). On Windows 7, I was able to catch the mdmp file and trace the error.

The exception is in OpenSim.Framework.Server.HttpServer.PollServiceWorkerThread at the m_request.Dequeue. It looks like the loop is protected with a "m_running" boolean but no one ever sets same. This will cause occasional exceptions. Seems to be very common on my localhost, standalone, test setup.

Not sure of the proper fix.
TagsNo tags attached.
Git Revision or version numbereb8a5422f47f6aa5a66b62d845e4f06e0c980726
Run ModeStandalone (1 Region)
Physics EngineBulletSim
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0023419)
justincc (administrator)
2013-01-18 18:08

Please try git master 3eee991, Robert. I've made Close() an explicit method rather than relying on the destructor (!), which fires at an unpredictable time.
(0023428)
Teravus (administrator)
2013-01-20 05:50

.. probably unrelated.. I usually run into issues with the watchdog thread trying to check on a thread status while shutting down. The enumeration is in a lock.. so it's probably another one of those threadabort related failures.
(0029333)
aiaustin (developer)
2015-08-18 11:13

Discussion concluded. Closing issue.

- Issue History
Date Modified Username Field Change
2013-01-14 20:43 Robert Adams New Issue
2013-01-18 18:08 justincc Note Added: 0023419
2013-01-18 18:08 justincc Assigned To => justincc
2013-01-18 18:08 justincc Status new => feedback
2013-01-20 05:50 Teravus Note Added: 0023428
2015-08-18 11:13 aiaustin Note Added: 0029333
2015-08-18 11:13 aiaustin Status feedback => closed
2015-08-18 11:13 aiaustin Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker